#include "gpu.h"

#include "gfx/renderer_api.h"
#include "runtime/mem_arena.h"

#include "../common/common_render_graph.h"
#include "render_targets.h"

static int RequireExplicitSynchronization(void) {
    return 1;
}

rt_render_graph_builder RT_RENDERER_API_FN(CreateRenderGraphBuilder)(void) {
    rt_render_graph_builder_platform_callbacks cbs = {.CreateRenderTarget = rtCreateRenderTarget,
                                                      .RequireExplicitSynchronization =
                                                          RequireExplicitSynchronization};
    return rtCreateRenderGraphBuilder(&cbs);
}

void RT_RENDERER_API_FN(DestroyRenderGraphBuilder)(rt_render_graph_builder *builder) {
    rtDestroyRenderGraphBuilder(builder);
}

rt_result RT_RENDERER_API_FN(ExecuteRenderGraph)(rt_render_graph *render_graph) {
    RT_NOT_IMPLEMENTED;
    return RT_UNKNOWN_ERROR;
}